onEvent('recipes', event => {
	event.remove({id:'minecraft:bread'})
	event.remove({id:'create:crafting/appliances/dough'})
	event.remove({id:'create:mixing/dough_by_mixing'})
	event.remove({id:'minecraft:cake'})
	event.remove({id:'farmersdelight:cake_from_milk_bottle'})
	event.remove({id:'neapolitan:cake'})
	event.remove({id:'farmersdelight:honey_cookie'})
	event.remove({id:'minecraft:cookie'})
	event.remove({id:'minecraft:pumpkin_pie'})
	event.remove({id:'farmersdelight:sweet_berry_cookie'})
	event.remove({id:'farmersdelight:pie_crust'})
	event.remove({id:'farmersdelight:apple_pie'})
	event.remove({id:'supplementaries:pancake'})
	event.remove({id:'farmersrespite:green_tea_cookie'})
	event.remove({id:'farmersrespite:coffee_cake'})
	event.remove({id:'minecraft:beetroot_soup'})
	event.remove({id:'minecraft:mushroom_stew'})
	event.remove({id:'minecraft:rabbit_stew_from_red_mushroom'})
	event.remove({id:'minecraft:rabbit_stew_from_brown_mushroom'})
	event.remove({id:'inspirations:cauldron/potato_soup/item'})
	event.remove({id:'neapolitan:chocolate/chocolate_cake'})
	event.remove({id:'neapolitan:strawberry/strawberry_cake'})
	event.remove({id:'neapolitan:vanilla/vanilla_cake'})
	event.remove({id:'neapolitan:banana/banana_cake'})
	event.remove({id:'neapolitan:mint/mint_cake'})
	event.remove({id:'neapolitan:adzuki/adzuki_cake'})
	event.remove({id:'farmersdelight:chocolate_pie'})
	event.remove({id:'neapolitan:strawberry/strawberry_scones'})
	event.remove({id:'farmersdelight:cooking/dumplings'})
	event.remove({id:'create:mixing/tea'})
	
	event.remove({id:'farmersdelight:wheat_dough_from_water'})
	event.remove({id:'farmersdelight:wheat_dough_from_eggs'})
	
	event.remove({id:'neapolitan:milk/milk_bucket_from_bottles'})
	event.remove({id:'neapolitan:chocolate/chocolate_bar'})
	event.remove({id:'neapolitan:chocolate/chocolate_spider_eye'})
	event.remove({id:'neapolitan:mixed/chocolate_strawberries'})
	event.remove({id:'neapolitan:mixed/vanilla_chocolate_fingers'})
	event.remove({id:'neapolitan:mixed/mint_chocolate'})
	
	event.remove({id:'farmersdelight:integration/create/mixing/pie_crust_from_mixing'})
	
	event.remove({id:'inspirations:cauldron/beetroot_soup/stew_large'})
	event.remove({id:'inspirations:cauldron/beetroot_soup/stew_small'})
	event.remove({id:'inspirations:cauldron/beetroot_soup/empty_bowl'})
	event.remove({id:'inspirations:cauldron/mushroom_stew/stew_large'})
	event.remove({id:'inspirations:cauldron/mushroom_stew/stew_small'})
	event.remove({id:'inspirations:cauldron/mushroom_stew/empty_bowl'})
	event.remove({id:'inspirations:cauldron/potato_soup/stew_large'})
	event.remove({id:'inspirations:cauldron/potato_soup/stew_small'})
	event.remove({id:'inspirations:cauldron/potato_soup/empty_bowl'})
	event.remove({id:'inspirations:cauldron/rabbit_stew/stew_large'})
	event.remove({id:'inspirations:cauldron/rabbit_stew/stew_small'})
	event.remove({id:'inspirations:cauldron/rabbit_stew/empty_bowl'})
	
	event.remove({type:'minecraft:crafting_shapeless', output:'farmersdelight:dough'})
	event.replaceInput('farmersdelight:wheat_dough', 'create:dough')
	event.replaceInput('create:bar_of_chocolate', 'neapolitan:chocolate_bar')
	event.replaceOutput('create:bar_of_chocolate', 'neapolitan:chocolate_bar')
	
	event.replaceInput({id:'neapolitan:adzuki/adzuki_bun'}, 'minecraft:wheat', 'minecraft:bread')
	event.replaceInput({id:'neapolitan:banana/banana_bread'}, 'minecraft:wheat', 'minecraft:bread')
	
	event.replaceOutput({id:'create:compat/neapolitan/filling/milk_bottle'}, 'neapolitan:milk_bottle', 'farmersdelight:milk_bottle')
	
	event.shapeless('create:dough', ['create:wheat_flour', Item.of('minecraft:potion', '{Potion:"minecraft:water"}')]).replaceIngredient(Item.of('minecraft:potion', '{Potion:"minecraft:water"}'), 'minecraft:glass_bottle')
	event.recipes.createMixing('create:dough', ['create:wheat_flour', Fluid.of('minecraft:water', 250)])
	event.recipes.createMixing(Fluid.of('create:chocolate', 250), ['minecraft:cocoa_beans', 'minecraft:sugar', Fluid.of('minecraft:milk', 250)]).heated()
	
	event.recipes.createMixing('kubejs:raw_cake', ['3x create:wheat_flour', '2x minecraft:sugar', '#forge:eggs', Fluid.of('minecraft:milk', 750)])
	event.recipes.createMixing('kubejs:cake', ['3x create:wheat_flour', '2x minecraft:sugar', '#forge:eggs', Fluid.of('minecraft:milk', 750)]).heated()
	
	event.recipes.createFilling('neapolitan:chocolate_cake', ['kubejs:cake', Fluid.of('create:chocolate', 500)])
	event.recipes.createFilling('neapolitan:chocolate_spider_eye', ['minecraft:spider_eye', Fluid.of('create:chocolate', 125)])
	event.recipes.createFilling('neapolitan:chocolate_strawberries', ['neapolitan:strawberries', Fluid.of('create:chocolate', 250)])
	event.recipes.createFilling('neapolitan:vanilla_chocolate_fingers', ['neapolitan:dried_vanilla_pods', Fluid.of('create:chocolate', 250)])
	event.recipes.createFilling('neapolitan:mint_chocolate', ['neapolitan:mint_leaves', Fluid.of('create:chocolate', 250)])
	event.recipes.createFilling('farmersdelight:chocolate_pie', ['farmersdelight:pie_crust', Fluid.of('create:chocolate', 500)])
	event.recipes.createFilling('minecraft:cake', ['kubejs:cake', Fluid.of('minecraft:milk', 500)])
	
	event.recipes.createCompacting('kubejs:raw_pie_crust', ['3x create:wheat_flour', Fluid.of('minecraft:milk', 250)])
	
	event.shapeless('kubejs:cake', '7x kubejs:cake_slice')
	event.shapeless('neapolitan:chocolate_bar', ['#forge:milk', 'minecraft:cocoa_beans', 'minecraft:sugar'])
	
	event.shapeless('neapolitan:strawberry_cake', ['kubejs:cake', '2x neapolitan:strawberries'])
	event.shapeless('neapolitan:vanilla_cake', ['kubejs:cake', '2x neapolitan:dried_vanilla_pods'])
	event.shapeless('neapolitan:banana_cake', ['kubejs:cake', '2x neapolitan:banana'])
	event.shapeless('neapolitan:mint_cake', ['kubejs:cake', '2x neapolitan:mint_leaves'])
	event.shapeless('neapolitan:adzuki_cake', ['kubejs:cake', '2x neapolitan:roasted_adzuki_beans'])
	
	event.shapeless('2x neapolitan:strawberry_scones', ['neapolitan:strawberries', '2x supplementaries:pancake'])
	
	event.shaped('kubejs:raw_cake', [
		'MMM',
		'SES',
		'FFF'
	], {
		M: '#forge:milk',
		S: 'minecraft:sugar',
		E: '#forge:eggs',
		F: 'create:wheat_flour'
	})
	event.shaped('kubejs:raw_pie_crust', [
		'FMF',
		' F '
	], {
		M: '#forge:milk',
		F: 'create:wheat_flour'
	})
	event.shaped('farmersdelight:apple_pie', [
		'AAA',
		'SCS'
	], {
		A: 'minecraft:apple',
		S: 'minecraft:sugar',
		C: 'farmersdelight:pie_crust'
	})
	event.shaped('minecraft:pumpkin_pie', [
		'PPP',
		'SCS'
	], {
		P: 'farmersdelight:pumpkin_slice',
		S: 'minecraft:sugar',
		C: 'farmersdelight:pie_crust'
	})
	event.shaped('kubejs:raw_coffee_cake', [
		'MSM',
		'CEC',
		'FFF'
	], {
		M: '#forge:milk',
		S: 'minecraft:sugar',
		C: 'farmersrespite:coffee_beans',
		E: '#forge:eggs',
		F: 'create:wheat_flour'
	})
	event.shapeless('8x kubejs:raw_cookie', ['2x create:dough', 'minecraft:cocoa_beans'])
	event.shapeless('8x kubejs:raw_sweet_berry_cookie', ['2x create:dough', 'minecraft:sweet_berries'])
	event.shapeless('8x kubejs:raw_honey_cookie', ['2x create:dough', 'minecraft:honey_bottle']).replaceIngredient('minecraft:honey_bottle', 'minecraft:glass_bottle')
	event.shapeless('8x kubejs:raw_green_tea_cookie', ['2x create:dough', 'farmersrespite:green_tea_leaves'])
	event.shapeless('2x kubejs:raw_pancake', ['minecraft:sugar', '#forge:milk', 'create:wheat_flour', 'husbandry:butter'])
	
	event.smelting('kubejs:cake', 'kubejs:raw_cake')
	event.smelting('farmersrespite:coffee_cake', 'kubejs:raw_coffee_cake')
	event.smelting('minecraft:cookie', 'kubejs:raw_cookie')
	event.smelting('farmersdelight:pie_crust', 'kubejs:raw_pie_crust')
	event.smelting('farmersdelight:sweet_berry_cookie', 'kubejs:raw_sweet_berry_cookie')
	event.smelting('farmersdelight:honey_cookie', 'kubejs:raw_honey_cookie')
	event.smelting('supplementaries:pancake', 'kubejs:raw_pancake')
	event.smelting('farmersrespite:green_tea_cookie', 'kubejs:raw_green_tea_cookie')
	event.smoking('kubejs:cake', 'kubejs:raw_cake')
	event.smoking('farmersrespite:coffee_cake', 'kubejs:raw_coffee_cake')
	event.smoking('minecraft:cookie', 'kubejs:raw_cookie')
	event.smoking('farmersdelight:pie_crust', 'kubejs:raw_pie_crust')
	event.smoking('farmersdelight:sweet_berry_cookie', 'kubejs:raw_sweet_berry_cookie')
	event.smoking('farmersdelight:honey_cookie', 'kubejs:raw_honey_cookie')
	event.smoking('supplementaries:pancake', 'kubejs:raw_pancake')
	event.smoking('farmersrespite:green_tea_cookie', 'kubejs:raw_green_tea_cookie')
	
	event.custom({"type": "farmersdelight:cooking",
		"ingredients": [
			{"item": "minecraft:baked_potato"},
			{"item": "minecraft:baked_potato"},
			{"tag": "forge:mushrooms"}
		],
		"result": {"item": "inspirations:potato_soup"},
		"container": {"item": "minecraft:bowl"},
		"experience": 0.2,
		"cookingtime": 200
	})
	event.custom({"type": "farmersdelight:cooking",
		"ingredients": [
			{"item": "create:dough"},
			{"tag": "forge:crops/cabbage"},
			{"tag": "forge:crops/onion"},
			[{"tag": "forge:raw_chicken"},{"tag": "forge:raw_pork"},{"tag": "forge:raw_beef"},{"item": "minecraft:brown_mushroom"}]
		],
		"result": {"item": "farmersdelight:dumplings","count": 2},
		"experience": 0.35,
		"cookingtime": 200
	})
})